## org.jfree.data.xy
Class XYIntervalSeries

    java.lang.Object
      org.jfree.data.general.Series
          org.jfree.data.ComparableObjectSeries
              org.jfree.data.xy.XYIntervalSeries

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class XYIntervalSeries

extends ComparableObjectSeries

A list of (x, x-low, x-high, y, y-low, y-high) data items.

Since:
  1.0.3
See Also:
  `XYIntervalSeriesCollection`, Serialized Form

Field Summary

Fields inherited from class org.jfree.data.ComparableObjectSeries
`data`

Constructor Summary
`XYIntervalSeries(java.lang.Comparable key)` Creates a new empty series.
`XYIntervalSeries(java.lang.Comparable key, boolean autoSort, boolean allowDuplicateXValues)` Constructs a new xy-series that contains no data.

Method Summary
`void` `add(double x, double xLow, double xHigh, double y, double yLow, double yHigh)` Adds a data item to the series.
`ComparableObjectItem` `getDataItem(int index)` Returns the data item at the specified index.
`java.lang.Number` `getX(int index)` Returns the x-value for the specified item.
`double` `getXHighValue(int index)` Returns the upper bound of the x-interval for the specified item in the series.
`double` `getXLowValue(int index)` Returns the lower bound of the x-interval for the specified item in the series.
`double` `getYHighValue(int index)` Returns the upper bound of the y-interval for the specified item in the series.
`double` `getYLowValue(int index)` Returns the lower bound of the Y-interval for the specified item in the series.
`double` `getYValue(int index)` Returns the y-value for the specified item.

Methods inherited from class org.jfree.data.ComparableObjectSeries
`add, add, add, clear, delete, equals, getAllowDuplicateXValues, getAutoSort, getItemCount, getMaximumItemCount, hashCode, indexOf, remove, remove, setMaximumItemCount, update, updateByIndex`

Methods inherited from class org.jfree.data.general.Series
`addChangeListener, addPropertyChangeListener, addVetoableChangeListener, clone, firePropertyChange, fireSeriesChanged, fireVetoableChange, getDescription, getKey, getNotify, isEmpty, notifyListeners, removeChangeListener, removePropertyChangeListener, removeVetoableChangeListener, setDescription, setKey, setNotify`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XYIntervalSeries

    public XYIntervalSeries(java.lang.Comparable key)

  Creates a new empty series. By default, items added to the series will be sorted into ascending order by x-value, and duplicate x-values will be allowed (these defaults can be modified with another constructor).

  Parameters:
    `key` - the series key (`null` not permitted).

### XYIntervalSeries

    public XYIntervalSeries(java.lang.Comparable key,
                            boolean autoSort,
                            boolean allowDuplicateXValues)

  Constructs a new xy-series that contains no data. You can specify whether or not duplicate x-values are allowed for the series.

  Parameters:
    `key` - the series key (`null` not permitted).
    `autoSort` - a flag that controls whether or not the items in the series are sorted.
    `allowDuplicateXValues` - a flag that controls whether duplicate x-values are allowed.

Method Detail

### add

    public void add(double x,
                    double xLow,
                    double xHigh,
                    double y,
                    double yLow,
                    double yHigh)

  Adds a data item to the series.

  Parameters:
    `x` - the x-value.
    `xLow` - the lower bound of the x-interval.
    `xHigh` - the upper bound of the x-interval.
    `y` - the y-value.
    `yLow` - the lower bound of the y-interval.
    `yHigh` - the upper bound of the y-interval.

### getX

    public java.lang.Number getX(int index)

  Returns the x-value for the specified item.

  Parameters:
    `index` - the item index.
  Returns:
    The x-value (never `null`).

### getXLowValue

    public double getXLowValue(int index)

  Returns the lower bound of the x-interval for the specified item in the series.

  Parameters:
    `index` - the item index.
  Returns:
    The lower bound of the x-interval.
  Since:
    1.0.5

### getXHighValue

    public double getXHighValue(int index)

  Returns the upper bound of the x-interval for the specified item in the series.

  Parameters:
    `index` - the item index.
  Returns:
    The upper bound of the x-interval.
  Since:
    1.0.5

### getYValue

    public double getYValue(int index)

  Returns the y-value for the specified item.

  Parameters:
    `index` - the item index.
  Returns:
    The y-value.

### getYLowValue

    public double getYLowValue(int index)

  Returns the lower bound of the Y-interval for the specified item in the series.

  Parameters:
    `index` - the item index.
  Returns:
    The lower bound of the Y-interval.
  Since:
    1.0.5

### getYHighValue

    public double getYHighValue(int index)

  Returns the upper bound of the y-interval for the specified item in the series.

  Parameters:
    `index` - the item index.
  Returns:
    The upper bound of the y-interval.
  Since:
    1.0.5

### getDataItem

    public ComparableObjectItem getDataItem(int index)

  Returns the data item at the specified index.

  Overrides:
    `getDataItem` in class `ComparableObjectSeries`
  Parameters:
    `index` - the item index.
  Returns:
    The data item.